> For the complete documentation index, see [llms.txt](https://docs.duplocloud.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.duplocloud.com/docs/automation-platform/overview-1/gcp-systems-settings/gcp-tenant-settings.md).

# GCP Tenant Settings

Configure Tenant settings in the DuploCloud UI for GCP users

## Configuring Tenant settings:

1. Navigate to **Administrator** -> **Tenants**.
2. In the **NAME** column, select the name of the Tenant you want to configure settings for.
3. Select the **Settings** tab, and click **Add**. The **Add Tenant Feature** pane displays.
4. From the **Select Feature** list box, select the setting (see list of settings below).
5. Click **Enable**, or enter an appropriate value.
6. Click **Add**. The setting is applied to the Infrastructure.

### Tenant settings

| **Delete Protection**                              | Enables delete protection for the Tenant.                                                                                                                                                         |
| -------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Enable K8S network policy**                      | Enables Kubernetes network policies for the Tenant.                                                                                                                                               |
| **Enable option to run K8S pods on any host**      | Enables the option to run the Tenant's Kubernetes (K8S) pods on any available Host.                                                                                                               |
| **Allow hosts to run K8S pods from other tenants** | Allows the Tenant's Hosts to run Kubernetes (K8S) pods from other Tenants.                                                                                                                        |
| **Enable k8s job fault logging by default**        | Enables Kubernetes job fault logging by default for the Tenant.                                                                                                                                   |
| **Enable Cluster Autoscaler OverProvisioning**     | Enables Cluster Autoscaler overprovisioning for the Tenant.                                                                                                                                       |
| **Other**                                          | Allows entering a custom or unlisted setting.                                                                                                                                                     |
| `raise_fault_on_last_state_pod_failure_reasons`    | Generates a fault when a Kubernetes pod is terminated with a specified failure reason. Enter the failure reasons you want to monitor, e.g., `OOMKilled`. Multiple reasons can be comma-separated. |
| `tenant_instances_stopped`                         | Mutes faults for tenants whose instances are stopped when set to `True`.                                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.duplocloud.com/docs/automation-platform/overview-1/gcp-systems-settings/gcp-tenant-settings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
